FROM node:18-bookworm-slim

EXPOSE 8080

# we must use at least inkscape 0.91 for svg export (default bullseye version 1.0.2-4 is fine)
RUN apt update && apt install -y inkscape
RUN mkdir -p /app/dist
RUN npm install -g forever@4.0.3

WORKDIR /app
COPY package.json /app/
COPY package-lock.json /app/
RUN npm install

# temp copy of es6 source during image buils
COPY ./micorr/stratigraphies/static/ /app/micorr/stratigraphies/static/
COPY ./micorr/stratigraphies/ngapp/src /app/micorr/stratigraphies/ngapp/src

# tranpile es6 sources from micorr/stratigraphies/ngapp/src/
RUN npm run build
# we can now remove the sources from the image
RUN rm -rf /app/micorr/stratigraphies/static/

# start server from container
CMD forever /app/dist/nodeServices/server.js
